| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/servers/{server_id} | Shows information for a specified server. |
Normal response codes: 200
This table shows the URI parameters for the show server information request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
This operation does not require a request body.
Example 3.404. Show server information: JSON response
{
"server": {
"OS-DCF:diskConfig": "AUTO",
"accessIPv4": "",
"accessIPv6": "",
"addresses": {
"private": [
{
"addr": "192.168.0.3",
"version": 4
}
]
},
"created": "2012-12-02T02:11:55Z",
"flavor": {
"id": "1",
"links": [
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
]
},
"hostId": "c949ab4256cea23b6089b710aa2df48bf6577ed915278b62e33ad8bb",
"id": "5046e2f2-3b33-4041-b3cf-e085f73e78e7",
"image": {
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"links": [
{
"href": "http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b",
"rel": "bookmark"
}
]
},
"links": [
{
"href": "http://openstack.example.com/v2/openstack/servers/5046e2f2-3b33-4041-b3cf-e085f73e78e7",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/servers/5046e2f2-3b33-4041-b3cf-e085f73e78e7",
"rel": "bookmark"
}
],
"metadata": {
"My Server Name": "Apache1"
},
"name": "new-server-test",
"progress": 0,
"status": "ACTIVE",
"tenant_id": "openstack",
"updated": "2012-12-02T02:11:55Z",
"user_id": "fake"
}
}Example 3.405. Show server information: XML response
<?xml version='1.0' encoding='UTF-8'?>
<server xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1" xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" status="ACTIVE" updated="2012-12-02T02:15:37Z" hostId="afa0a883de4743c7a0c164327bda5284b875c50e1a9e30de910ac126" name="new-server-test" created="2012-12-02T02:15:37Z" userId="fake" tenantId="openstack" accessIPv4="" accessIPv6="" progress="0" id="d5d844c0-ecc3-4202-90ed-2e85b7fe513d" OS-DCF:diskConfig="AUTO">
<image id="70a599e0-31e7-49b7-b260-868f441e862b">
<atom:link href="http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b" rel="bookmark"/>
</image>
<flavor id="1">
<atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/>
</flavor>
<metadata>
<meta key="My Server Name">Apache1</meta>
</metadata>
<addresses>
<network id="private">
<ip version="4" addr="192.168.0.3"/>
</network>
</addresses>
<atom:link href="http://openstack.example.com/v2/openstack/servers/d5d844c0-ecc3-4202-90ed-2e85b7fe513d" rel="self"/>
<atom:link href="http://openstack.example.com/openstack/servers/d5d844c0-ecc3-4202-90ed-2e85b7fe513d" rel="bookmark"/>
</server>This operation does not return a response body.

